Subject: Re: [PATCH] Consolidate shared code between enic and fnic drivers.

From: Roland Dreier <[email-masked]>
Date: Tue, 23 Jun 2009 13:58:10 -0700

> The Cisco enic 10G Ethernet driver and the fnic FCoE HBA driver share
 > much of the same hardware-access code because enic and fnic devices are
 > really two functions on a converged-I/O PCIe device.  This patch
 > consolidates the shared code into one shared module, thus eliminating
 > the code duplication.  No functional changes are made by the patch.

Big ACK on this from me -- I never liked duplicating all this code
between the two drivers.

 - R.